import ResDic from "../Tool/ResDic";

export class AssetManager{
    private static ins:AssetManager;
    public Ball:ResDic = new ResDic();
    constructor(){
        AssetManager.ins = this;
    }
    public static get Instance():AssetManager{
        if(AssetManager.ins){
            return AssetManager.ins
        }
        else{
            return new AssetManager();
        }
    }

}
export class ResourcesPath{
    static BallPictrue = 
    [
        "Game/res/Ball/blast0.png",
        "Game/res/Ball/blast1.png",
        "Game/res/Ball/blast2.png",
        "Game/res/Ball/blast3.png",
        "Game/res/Ball/blast4.png",
        "Game/res/Ball/blast5.png",
        "Game/res/Ball/blast6.png",
        "Game/res/Ball/blast7.png",
        "Game/res/Ball/blast8.png",
        "Game/res/Ball/blast9.png",
        "Game/res/Ball/blast10.png",
        "Game/res/Ball/blast11.png",
        "Game/res/Ball/blast12.png",
        "Game/res/Ball/blast13.png",
        "Game/res/Ball/blast14.png",
        "Game/res/Ball/blast15.png",
        "Game/res/Ball/blast16.png",
        "Game/res/Ball/blast17.png",
        "Game/res/Ball/blast18.png"
    ]
}